---
title: Ansible Role Elasticsearch
repo: https://gitlab.lakedrops.com/ansible/roles/elasticsearch
issues: https://gitlab.lakedrops.com/ansible/roles/elasticsearch/-/issues
tags:
- ansible
---
# Documentation

- [Download](https://www.elastic.co/downloads/elasticsearch)
- [API](https://www.elastic.co/guide/en/elasticsearch/reference/current/index.html)
- [Date Format](http://www.joda.org/joda-time/apidocs/org/joda/time/format/DateTimeFormat.html)
- [Licensing](https://www.elastic.co/de/subscriptions)
- [Download BEATS](https://www.elastic.co/de/downloads/beats)

# Create basic users

```
bin/elasticsearch-setup-passwords auto -u http://localhost:9200
```

# Trouble-Shooting

Get a list of indides:

```
curl "http://127.0.0.1:9200/_cat/indices?v"
```

If an index went read-only:

```
curl -X PUT http://127.0.0.1:9200/[INDEX]/_settings -H 'Content-Type: application/json' -d '{"index.blocks.read_only_allow_delete":null}'
```

Or use the prepared script `elasticsearch-remove-readonly` for this.

```
curl -X PUT http://localhost:9200/_all/_settings -H 'Content-Type: application/json' -d'{ "index.blocks.read_only_allow_delete" : false } }'
```
